rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
entryInfo_s Struct Reference

`#include <rpmdb/header_internal.h>`

## Data Fields
rpmTag | tag
rpmTagType | type
rpmint32_t | offset
rpmTagCount | count

## Detailed Description

Definition at line 56 of file header_internal.h.

## Field Documentation

rpmTagCount entryInfo_s::count

Number of tag elements.

Definition at line 60 of file header_internal.h.

Referenced by copyEntry(), headerAddEntry(), headerAddI18NString(), headerAppendEntry(), headerCheck(), headerLoad(), headerModifyEntry(), headerSizeof(), headerUnload(), headerVerifyInfo(), rdSignature(), and regionSwab().

rpmint32_t entryInfo_s::offset

Offset into data segment (ondisk only).

Definition at line 59 of file header_internal.h.

Referenced by copyEntry(), headerAddEntry(), headerAddI18NString(), headerAppendEntry(), headerCheck(), headerLoad(), headerModifyEntry(), headerSizeof(), headerUnload(), headerVerifyInfo(), offsetCmp(), rdSignature(), and regionSwab().

rpmTag entryInfo_s::tag

Tag identifier.

Definition at line 57 of file header_internal.h.

Referenced by copyEntry(), findEntry(), headerAddEntry(), headerCheck(), headerLoad(), headerModifyEntry(), headerNext(), headerReload(), headerRemoveEntry(), headerUnload(), headerVerifyInfo(), indexCmp(), offsetCmp(), rdSignature(), and regionSwab().

rpmTagType entryInfo_s::type

Tag data type.

Definition at line 58 of file header_internal.h.

Referenced by copyEntry(), findEntry(), headerAddEntry(), headerCheck(), headerLoad(), headerModifyEntry(), headerSizeof(), headerUnload(), headerVerifyInfo(), intGetEntry(), rdSignature(), and regionSwab().

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h